using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 验证码记录")]
[Table("VerificationCode")]
public class VerificationCode : BaseAddAuditEntity
{

    public Guid UserId { get; set; } = Guid.Empty;

    [Comment("验证码")]
    public string Code { get; set; } = string.Empty;

    [Comment("什么类型的验证码   邮箱|手机")]
    public VerifyType CodeType { get; set; }

    public bool HasSend { get; set; }

    [Comment("发送的邮箱或者手机")]
    public string EmailOrPhone { get; set; } = string.Empty;

    [Comment("过期时间")]
    public DateTime ExpirationTime { get; set; }

}

public enum EmailVerifyCodeType
{

    ModifyEmail = 1,

    SiteSurvey = 2,

    ForgetPassword = 3,

    MFA = 4,

    AdminResetPassword = 5
}